import { default as Material } from '../Materials/Material';
import { NdArray } from 'ndarray';
export default class MaterialArray {
    private array;
    materialTexture: NdArray;
    constructor();
    setAt(index: number, material: Material): void;
    private setTexel;
}
